- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QDomElement Class Reference

Search for all occurrences

## Detailed Description

Definition at line 476 of file qdom.h.

`#include <qdom.h>`

Inheritance diagram for QDomElement:
[legend]

List of all members.

## Public Member Functions
| QDomElement ()
| QDomElement (const QDomElement &x)
QDomElement & | operator= (const QDomElement &)
QString | attribute (const QString &name, const QString &defValue=QString()) const
void | setAttribute (const QString &name, const QString &value)
void | setAttribute (const QString &name, qlonglong value)
void | setAttribute (const QString &name, qulonglong value)
void | setAttribute (const QString &name, int value)
void | setAttribute (const QString &name, uint value)
void | setAttribute (const QString &name, float value)
void | setAttribute (const QString &name, double value)
void | removeAttribute (const QString &name)
QDomAttr | attributeNode (const QString &name)
QDomAttr | setAttributeNode (const QDomAttr &newAttr)
QDomAttr | removeAttributeNode (const QDomAttr &oldAttr)
QDomNodeList | elementsByTagName (const QString &tagname) const
bool | hasAttribute (const QString &name) const
QString | attributeNS (const QString nsURI, const QString &localName, const QString &defValue=QString()) const
void | setAttributeNS (const QString nsURI, const QString &qName, const QString &value)
void | setAttributeNS (const QString nsURI, const QString &qName, int value)
void | setAttributeNS (const QString nsURI, const QString &qName, uint value)
void | setAttributeNS (const QString nsURI, const QString &qName, qlonglong value)
void | setAttributeNS (const QString nsURI, const QString &qName, qulonglong value)
void | setAttributeNS (const QString nsURI, const QString &qName, double value)
void | removeAttributeNS (const QString &nsURI, const QString &localName)
QDomAttr | attributeNodeNS (const QString &nsURI, const QString &localName)
QDomAttr | setAttributeNodeNS (const QDomAttr &newAttr)
QDomNodeList | elementsByTagNameNS (const QString &nsURI, const QString &localName) const
bool | hasAttributeNS (const QString &nsURI, const QString &localName) const
QString | tagName () const
void | setTagName (const QString &name)
QDomNamedNodeMap | attributes () const
QDomNode::NodeType | nodeType () const
QString | text () const
## Friends
class | QDomDocument
class | QDomNode
class | QDomAttr

## Constructor & Destructor Documentation

QDomElement | ( |  | ) |

QDomElement | ( | const QDomElement & | x | ) |

## Member Function Documentation

QDomElement& operator= | ( | const QDomElement & |  | ) |

QString attribute | ( | const QString & | name,
|  | const QString & | defValue = `QString()`
| ) |  | const

Search for all occurrences

void setAttribute | ( | const QString & | name,
|  | const QString & | value
| ) |  |

Search for all occurrences

void setAttribute | ( | const QString & | name,
|  | qlonglong | value
| ) |  |

Search for all occurrences

void setAttribute | ( | const QString & | name,
|  | qulonglong | value
| ) |  |

Search for all occurrences

void setAttribute | ( | const QString & | name,
|  | int | value
| ) |  | `[inline]`

Search for all occurrences

Definition at line 488 of file qdom.h.

            { setAttribute(name, qlonglong(value)); }

void setAttribute | ( | const QString & | name,
|  | uint | value
| ) |  | `[inline]`

Search for all occurrences

Definition at line 490 of file qdom.h.

            { setAttribute(name, qulonglong(value)); }

void setAttribute | ( | const QString & | name,
|  | float | value
| ) |  |

Search for all occurrences

void setAttribute | ( | const QString & | name,
|  | double | value
| ) |  |

Search for all occurrences

void removeAttribute | ( | const QString & | name | ) |

Search for all occurrences

QDomAttr attributeNode | ( | const QString & | name | ) |

Search for all occurrences

QDomAttr setAttributeNode | ( | const QDomAttr & | newAttr | ) |

Search for all occurrences

QDomAttr removeAttributeNode | ( | const QDomAttr & | oldAttr | ) |

Search for all occurrences

QDomNodeList elementsByTagName | ( | const QString & | tagname | ) | const

Search for all occurrences

bool hasAttribute | ( | const QString & | name | ) | const

Search for all occurrences

QString attributeNS | ( | const QString | nsURI,
|  | const QString & | localName,
|  | const QString & | defValue = `QString()`
| ) |  | const

Search for all occurrences

void setAttributeNS | ( | const QString | nsURI,
|  | const QString & | qName,
|  | const QString & | value
| ) |  |

Search for all occurrences

void setAttributeNS | ( | const QString | nsURI,
|  | const QString & | qName,
|  | int | value
| ) |  | `[inline]`

Search for all occurrences

Definition at line 503 of file qdom.h.

            { setAttributeNS(nsURI, qName, qlonglong(value)); }

void setAttributeNS | ( | const QString | nsURI,
|  | const QString & | qName,
|  | uint | value
| ) |  | `[inline]`

Search for all occurrences

Definition at line 505 of file qdom.h.

            { setAttributeNS(nsURI, qName, qulonglong(value)); }

void setAttributeNS | ( | const QString | nsURI,
|  | const QString & | qName,
|  | qlonglong | value
| ) |  |

Search for all occurrences

void setAttributeNS | ( | const QString | nsURI,
|  | const QString & | qName,
|  | qulonglong | value
| ) |  |

Search for all occurrences

void setAttributeNS | ( | const QString | nsURI,
|  | const QString & | qName,
|  | double | value
| ) |  |

Search for all occurrences

void removeAttributeNS | ( | const QString & | nsURI,
|  | const QString & | localName
| ) |  |

Search for all occurrences

QDomAttr attributeNodeNS | ( | const QString & | nsURI,
|  | const QString & | localName
| ) |  |

Search for all occurrences

QDomAttr setAttributeNodeNS | ( | const QDomAttr & | newAttr | ) |

Search for all occurrences

QDomNodeList elementsByTagNameNS | ( | const QString & | nsURI,
|  | const QString & | localName
| ) |  | const

Search for all occurrences

bool hasAttributeNS | ( | const QString & | nsURI,
|  | const QString & | localName
| ) |  | const

Search for all occurrences

QString tagName | ( |  | ) | const

Search for all occurrences

void setTagName | ( | const QString & | name | ) |

Search for all occurrences

QDomNamedNodeMap attributes | ( |  | ) | const

Search for all occurrences

Reimplemented from QDomNode.

QDomNode::NodeType nodeType | ( |  | ) | const `[inline]`

Search for all occurrences

Reimplemented from QDomNode.

Definition at line 522 of file qdom.h.

    { return ElementNode; }

QString text | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QDomDocument `[friend]`

Search for all occurrences

Reimplemented from QDomNode.

Definition at line 529 of file qdom.h.

friend class QDomNode `[friend]`

Search for all occurrences

Definition at line 530 of file qdom.h.

friend class QDomAttr `[friend]`

Search for all occurrences

Definition at line 531 of file qdom.h.

The documentation for this class was generated from the following file:

- QtXml/qdom.h

QDomElement QDomElement QDomElement QDomElement QDomElement QDomElement QDomElement QDomElement QDomElement QDomElement
QDomElement QDomElement QDomElement QDomElement QDomElement QDomElement QDomElement QDomElement QDomElement QDomElement